
set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="topo.dtm"
  mode="openInNewLayer"
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="design_centreline.str"
  mode="openInNewLayer"
}]

set status [ SclFunction "ZOOM ALL" {} ]

set status [ SclFunction "FACES OFF" {} ]

set status [ SclFunction "SEGMENT OVER DTM" {
  select_point={
    {
      winx="-0.239"
      winy="0.199"
      objectx="18750.243"
      objecty="57415.758"
      objectz="-0.000"
    }
  }
  frm01312={
    {
      _action=display
      dtm_layer="topo.dtm"
      interp="Y"
    }
  }
}]

set status [ SclFunction "STRING RENUMBER" {
  select_point={
    {
      winx="-0.089"
      winy="0.321"
      objectx="18906.698"
      objecty="57518.243"
      objectz="5127.266"
    }
  }
  frm00239={
    {
      _action=display
      new_str="3"
    }
  }
}]

set status [ SclFunction "ZOOM ALL" {} ]

set status [ SclFunction "FACES ON" {} ]

set status [ SclFunction "VIEW BY BEARING" {
  frm00289={
    {
      bearing="345"
      dip="-45"
    }
  }
}]

set status [ SclFunction "FILE SAVE" {
  frmsaveFileAs={
    {
      _action=display
      AutoCAD={
        version="Autocad 18"
      }
      output_file="surpac2str:design_centreline_draped"
      outputExt=".str"
      saveStyle="N"
      Datamine={
        binary_precision="Single"
      }
      Surpac={
        FileFormat="text"
        ForceValidation="true"
        Purpose=""
        ForceCompatibility="true"
        range="3"
      }
      output_type="Surpac String Files"
    }
  }
  frm00121={
    {
      _action="apply"
    }
  }
}]


puts ""
puts ""
puts "macro 2c_drape_centreline_over_dtm.tcl sucessfully completed."
puts ""